

//
/////////////////////////////////////////////////
define dog_wait,0;
define dog_attack,1;
define dog_approach,2;
define dog_die,4; 

define body,skill29;
define dog,0;
define flesh,1;
define metal,2;
define _verts,skill36; 

SOUND bark_wham,<bark.wav>;
SOUND bark_approach,<dogapproach.WAV>;




function dog_init()
{
my.enable_shoot = off;
my.enable_scan = on;
my.enable_detect = on;
my.body = dog;
} 

function dog_event()
{
if(my._health <= 0) { dog_die(); }
} 

function dog_die()
{
my._state = dog_wait;
my._animdist = 0;
my.event = null;
my.enable_shoot = off;
my.enable_scan = off; 
my.transparent = on;
my.bright = on;
my.alpha = 100;
while(my._animdist <= 100) {
ent_frame("death",my._animdist);
my._animdist += 7 * time;
wait(1);}
my.passable = on;
wait(20);
while(my.alpha > 0)
{
my.alpha -= time * 5;
my.z -= time * 0.5;
wait(1);
}
ent_remove(my);
} 

action Dog1
{
wait(1);
dog_init();

my.skill30 = 61; //vertex # at Jaw
my.skill31 = 64; //vertex # at point of Teeth
my._verts = 324; //# of verts in the model
my._health = 100; //starting health
my.event = dog_event;
my._state = dog_wait;
dog_wait();
} 

function dog_wait()
{
my._state = dog_wait;
my._animdist = 0;
while(my._state == dog_wait)
{
if(my._health <= 0) { dog_die(); return;}
ent_cycle("stand",my._animdist);
my._animdist += 5 * time;
if(my._animdist >= 100) { my._animdist -= 100; }
force = 0;
actor_move();
if(vec_dist(player.x,my.x) <= 1000) {
dog_approach();}
wait(1);
}
} 

function dog_approach()
{
my._state = dog_approach;
my._animdist = 0;
while(my._state == dog_approach && vec_dist(player.x,my.x) > 45)
{
if(my._health <= 0) { dog_die(); return;}
ent_cycle("run",my._animdist);
PLAY_ENTSOUND(ME,bark_approach,50);
my._animdist += 5 * time;
if(my._animdist >= 100) { my._animdist -= 100; }
temp.x = player.x - my.x;
temp.y = player.y - my.y;
temp.z = player.z - my.z;
vec_to_angle(my_angle,temp);
force = 5;
actor_turn();
force = 3;
actor_move();
wait(1);
}
dog_attack();
} 

function dog_attack()
{
my._state = dog_attack;
my._animdist = 0;
while(my._state == dog_attack && vec_dist(player.x,my.x) < 50)
{
my._animdist = 0;
while(my._animdist <= 100) {
if(my._health <= 0) { dog_die(); return;}
ent_frame("attack",my._animdist);
my._animdist += 15 * time;
//
ent_vertex(p,my.skill30);
ent_vertex(p2,my.skill31);
trace_mode = IGNORE_ME + IGNORE_PASSABLE + ACTIVATE_SHOOT;
trace(p2,p);
if(YOU != NULL) {
PLAY_ENTSOUND(ME,bark_wham,10);
your._health -= 1;

}
//
wait(1);}
/* ent_vertex(p,my.skill30);
ent_vertex(p2,my.skill31);
trace_mode = IGNORE_ME + IGNORE_PASSABLE + ACTIVATE_SHOOT;
trace(p2,p);
if(YOU != NULL) {
your._health -= 10;
}
wait(1);*/
my._animdist = 0;
while(my._animdist <= 100) {
if(my._health <= 0) { dog_die(); return;}
ent_frame("recoil",my._animdist);
my._animdist += 20 * time;
//
ent_vertex(p,my.skill30);
ent_vertex(p2,my.skill31);
trace_mode = IGNORE_ME + IGNORE_PASSABLE + ACTIVATE_SHOOT;
trace(p2,p);
if(YOU != NULL) {
your._health -= 1;
}
//
wait(1);}
wait(1);
}
dog_approach();
} 


}
/////////////////////////////////////////////////

